System 2.0.0.0 4.0.0.0 System.Configuration.ConfigurationSection

This class corresponds to the AuthenticationModules Element (Network Settings) configuration element.

This class is used to access information about modules registered to authenticate requests made with the and classes.

This class provides programmatic access to information that can be stored in configuration files.

Represents the configuration section for authentication modules. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor adds the class to the property.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("", Options=System.Configuration.ConfigurationPropertyOptions.IsDefaultCollection)
  System.Net.Configuration.AuthenticationModuleElementCollection To be added.

  The returned by this property contains one for each authentication module in the configuration file.

  Gets the collection of authentication modules in the section.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void

  Applications do not call this method; it is used internally to populate the default authentication modules.

  Initializes the current instance to its default values.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added.

  The collection contains one element, which corresponds to the property.

  Gets the collection of properties for the current instance.